> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fillout

> Access the Fillout API in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Fillout*. Nango doesn't have a Nango-managed OAuth app for Fillout yet. You’ll need to set up your own by following these [instructions](#🧑%E2%80%8D💻-oauth-app-setup). After that, make sure to add the OAuth client ID and secret in the integration settings in Nango.
>
> **2. Authorize Fillout**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Fillout. Later, you'll let your users do the same directly from your app.
>
> **3. Call the Fillout API**
>
> Let's make your first request to the Fillout API (fetch a list of all your forms). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl "https://api.nango.dev/proxy/v1/api/forms" \
> >  -H "Authorization: Bearer <NANGO-API-KEY>" \
> >  -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >  -H "Connection-Id: <CONNECTION-ID>" \
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const res = await nango.get({
> >   endpoint: '/v1/api/forms',
> >   providerConfigKey: '<INTEGRATION-ID>',
> >   connectionId: '<CONNECTION-ID>'
> > });
> >
> > console.log(res.data);
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Fillout accounts.

> [tab] 🧑‍💻 OAuth app setup
>
> **1. Create a Fillout account**
>
> If you don't already have one, sign up for a [Fillout account](https://build.fillout.com/signup).
>
> **2. Create an OAuth application**
>
> 1. Navigate to [OAuth integrations](https://build.fillout.com/home/settings/developer/apps).
> 2. Click **Create app**.
> 3. Enter a **Name** for your application.
> 4. Set the **Redirect URI** to `https://api.nango.dev/oauth/callback`.
> 5. Submit the form to create your application.
>
> **3. Obtain your OAuth credentials**
>
> 1. After creating the app, you'll see your **Client ID** displayed.
> 2. Click **Generate Secret** to create your **Client Secret**.
> 3. Copy both the **Client ID** and **Client Secret**, you'll need these when configuring your integration in Nango.
>
> **4. Next**
>
> Follow the [*Quickstart*](https://nango.dev/docs/getting-started/quickstart.md).
>
> > [!NOTE]
> >
> > Apps must be published to connect to other organizations. Contact [support@fillout.com](mailto:support@fillout.com) to request publishing for production use.

> [tab] 🔗 Useful links
>
> | Topic | Links |
> | - | - |
> | General | [Fillout Website](https://www.fillout.com/) |
> | | [Fillout Dashboard](https://build.fillout.com/) |
> | Developer | [Generate an OAuth integration](https://build.fillout.com/home/settings/developer/apps) |
> | | [Fillout API docs](https://www.fillout.com/help/api-reference/) |
> | | [API Authentication](https://www.fillout.com/help/oauth-applications) |
> | | [API rate limiting](https://www.fillout.com/help/fillout-rest-api#rate-limits) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/fillout.mdx)

> [tab] 🚨 API gotchas
>
> * All endpoints may be called up to 5 times per second per account.
>
> * Apps must be published to connect with other organizations in production. To request publishing for production use, please contact [support@fillout.com](mailto:support@fillout.com)
>
> > [!NOTE]
> >
> > Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/fillout.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.